	.file	"bdfread.c"
gcc2_compiled.:
.data
LC0:
	.ascii "ENDCHAR\0"
LC1:
	.ascii "ENDCHAR\0"
LC2:
	.ascii "odd number of characters in hex encoding\12\0"
LC3:
	.ascii "ENDCHAR\0"
LC4:
	.ascii "ENDCHAR\0"
LC5:
	.ascii "ENDCHAR\0"
LC6:
	.ascii "ENDCHAR\0"
LC7:
	.ascii "missing 'ENDCHAR'\12\0"
LC8:
	.ascii "bytes != rows * bytes_per_row (%d != %d * %d)\12\0"
.text
	.align 2
_bdfReadBitmap:
	pushl %ebp
	movl %esp,%ebp
	subl $1084,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl $0,-48(%ebp)
	movl 8(%ebp),%edx
	movswl 2(%edx),%eax
	movl 8(%ebp),%edx
	movswl (%edx),%ebx
	movl %ebx,-1080(%ebp)
	movl %eax,%ecx
	subl -1080(%ebp),%ecx
	movl %ecx,-4(%ebp)
	movl 8(%ebp),%edx
	movswl 6(%edx),%eax
	movl 8(%ebp),%edx
	movswl 8(%edx),%ebx
	movl %ebx,-1080(%ebp)
	addl %eax,%ebx
	movl %ebx,-16(%ebp)
	cmpl $1,24(%ebp)
	jne L2
	movl -4(%ebp),%eax
	addl $7,%eax
	sarl $3,%eax
	jmp L3
	.align 2,0x90
L2:
	cmpl $2,24(%ebp)
	jne L4
	movl -4(%ebp),%eax
	addl $15,%eax
	sarl $3,%eax
	andb $254,%al
	jmp L3
	.align 2,0x90
L4:
	cmpl $4,24(%ebp)
	jne L6
	movl -4(%ebp),%eax
	addl $31,%eax
	sarl $3,%eax
	andb $252,%al
	jmp L3
	.align 2,0x90
L6:
	cmpl $8,24(%ebp)
	jne L8
	movl -4(%ebp),%eax
	addl $63,%eax
	sarl $3,%eax
	andb $248,%al
	jmp L3
	.align 2,0x90
L8:
	xorl %eax,%eax
L9:
L7:
L5:
L3:
	movl %eax,-8(%ebp)
	movl %eax,%eax
	imull -16(%ebp),%eax
	testl %eax,%eax
	jle L10
	movl -8(%ebp),%eax
	imull -16(%ebp),%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,-44(%ebp)
	cmpl $0,-44(%ebp)
	jne L11
	jmp L12
	.align 2,0x90
L11:
	jmp L13
	.align 2,0x90
L10:
	movl $0,-44(%ebp)
L13:
	movl 8(%ebp),%eax
	movl -44(%ebp),%ecx
	movl %ecx,12(%eax)
	cmpl $0,32(%ebp)
	je L14
	movl $0,-24(%ebp)
L15:
	cmpl $3,-24(%ebp)
	jg L14
	movl -24(%ebp),%edx
	leal 0(,%edx,4),%eax
	movl 32(%ebp),%edx
	movl -24(%ebp),%ebx
	movl %ebx,-1080(%ebp)
	leal 0(,%ebx,4),%esi
	movl 32(%ebp),%ecx
	movl %ecx,-1080(%ebp)
	movl (%esi,%ecx),%ecx
	movl %ecx,-1084(%ebp)
	movl $1,%ebx
	movl -24(%ebp),%ecx
	sall %cl,%ebx
	movl %ebx,-1080(%ebp)
	cmpl $1,-1080(%ebp)
	jne L18
	movl -4(%ebp),%ecx
	addl $7,%ecx
	movl %ecx,-1080(%ebp)
	movl %ecx,%esi
	sarl $3,%esi
	movl %esi,%edi
	imull -16(%ebp),%edi
	movl -1084(%ebp),%ebx
	addl %edi,%ebx
	movl %ebx,-1080(%ebp)
	jmp L19
	.align 2,0x90
L18:
	movl $1,%esi
	movl -24(%ebp),%ecx
	sall %cl,%esi
	cmpl $2,%esi
	jne L20
	movl -4(%ebp),%esi
	addl $15,%esi
	movl %esi,%edi
	sarl $3,%edi
	movl %edi,%esi
	andl $-2,%esi
	movl %esi,%edi
	imull -16(%ebp),%edi
	movl -1084(%ebp),%ebx
	addl %edi,%ebx
	movl %ebx,-1080(%ebp)
	jmp L19
	.align 2,0x90
L20:
	movl $1,%esi
	movl -24(%ebp),%ecx
	sall %cl,%esi
	cmpl $4,%esi
	jne L22
	movl -4(%ebp),%esi
	addl $31,%esi
	movl %esi,%edi
	sarl $3,%edi
	movl %edi,%esi
	andl $-4,%esi
	movl %esi,%edi
	imull -16(%ebp),%edi
	movl -1084(%ebp),%ebx
	addl %edi,%ebx
	movl %ebx,-1080(%ebp)
	jmp L19
	.align 2,0x90
L22:
	movl -1084(%ebp),%ecx
	movl %ecx,-1080(%ebp)
	movl $1,%esi
	movl -24(%ebp),%ecx
	sall %cl,%esi
	cmpl $8,%esi
	jne L19
	movl -4(%ebp),%esi
	addl $63,%esi
	movl %esi,%edi
	sarl $3,%edi
	movl %edi,%esi
	andl $-8,%esi
	movl %esi,%edi
	imull -16(%ebp),%edi
	addl %edi,-1080(%ebp)
L24:
L23:
L21:
L19:
	movl -1080(%ebp),%ebx
	movl %ebx,(%eax,%edx)
L17:
	incl -24(%ebp)
	jmp L15
	.align 2,0x90
L16:
L14:
	movl $0,-36(%ebp)
	movl $0,-32(%ebp)
	movl -4(%ebp),%eax
	addl $7,%eax
	movl %eax,%ecx
	sarl $3,%ecx
	movl %ecx,-12(%ebp)
	movl $0,-20(%ebp)
L25:
	movl -16(%ebp),%ebx
	cmpl %ebx,-20(%ebp)
	jge L26
	pushl $1024
	leal -1072(%ebp),%eax
	pushl %eax
	pushl 12(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-48(%ebp)
	cmpl $0,-48(%ebp)
	jne L28
	jmp L26
	.align 2,0x90
L28:
	cmpl $0,-4(%ebp)
	jne L29
	cmpl $0,-48(%ebp)
	je L31
	pushl $LC0
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC1
	pushl -48(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L30
	jmp L31
	.align 2,0x90
L31:
	jmp L26
	.align 2,0x90
	jmp L32
	.align 2,0x90
L30:
	jmp L27
	.align 2,0x90
L32:
L29:
	movl -48(%ebp),%ecx
	movl %ecx,-40(%ebp)
	pushl -40(%ebp)
	call _strlen
	addl $4,%esp
	movl %eax,-28(%ebp)
	movb -28(%ebp),%al
	andb $1,%al
	testb %al,%al
	je L33
	pushl $LC2
	call _bdfError
	addl $4,%esp
	movl -48(%ebp),%eax
	addl -28(%ebp),%eax
	movb $48,(%eax)
	incl -28(%ebp)
	movl -48(%ebp),%eax
	addl -28(%ebp),%eax
	movb $0,(%eax)
L33:
	sarl $1,-28(%ebp)
	movl -28(%ebp),%ebx
	movl %ebx,-24(%ebp)
	movl -12(%ebp),%ecx
	cmpl %ecx,-24(%ebp)
	jle L34
	movl %ecx,-24(%ebp)
L34:
	nop
L35:
	cmpl $0,-24(%ebp)
	jle L36
	pushl -40(%ebp)
	call _bdfHexByte
	addl $4,%esp
	movb %al,%al
	movl -44(%ebp),%edx
	addl -32(%ebp),%edx
	movb %al,(%edx)
	incl -32(%ebp)
L37:
	decl -24(%ebp)
	addl $2,-40(%ebp)
	jmp L35
	.align 2,0x90
L36:
	movl -12(%ebp),%ebx
	cmpl %ebx,-28(%ebp)
	jge L38
	movl %ebx,%ecx
	subl -28(%ebp),%ecx
	movl %ecx,-24(%ebp)
L39:
	cmpl $0,-24(%ebp)
	jle L40
	movl -44(%ebp),%eax
	addl -32(%ebp),%eax
	movb $0,(%eax)
	incl -32(%ebp)
L41:
	decl -24(%ebp)
	jmp L39
	.align 2,0x90
L40:
	jmp L42
	.align 2,0x90
L38:
	movl -4(%ebp),%eax
	andl $7,%eax
	movl $8,%ebx
	subl %eax,%ebx
	movl %ebx,-1080(%ebp)
	movl $255,%eax
	movl %ebx,%ecx
	sall %cl,%eax
	movb %al,-1073(%ebp)
	cmpb $0,-1073(%ebp)
	je L43
	movl -32(%ebp),%eax
	addl -44(%ebp),%eax
	leal -1(%eax),%edx
	movzbl (%edx),%eax
	movzbl -1073(%ebp),%edx
	movl %edx,%ebx
	notl %ebx
	movl %ebx,-1080(%ebp)
	andl -1080(%ebp),%eax
	testl %eax,%eax
	je L43
	movl -32(%ebp),%edx
	addl -44(%ebp),%edx
	leal -1(%edx),%eax
	movl -32(%ebp),%edx
	addl -44(%ebp),%edx
	leal -1(%edx),%ecx
	movl %ecx,-1080(%ebp)
	movb (%ecx),%bl
	andb -1073(%ebp),%bl
	movb %bl,(%eax)
	movl $1,-36(%ebp)
	jmp L42
	.align 2,0x90
L43:
	movl -12(%ebp),%ecx
	cmpl %ecx,-28(%ebp)
	jle L42
	movl $1,-36(%ebp)
L45:
L44:
L42:
	movl -12(%ebp),%ebx
	cmpl %ebx,-8(%ebp)
	jle L27
	movl -8(%ebp),%ecx
	subl -12(%ebp),%ecx
	movl %ecx,-24(%ebp)
L47:
	movl -24(%ebp),%eax
	decl -24(%ebp)
	testl %eax,%eax
	jle L27
	movl -44(%ebp),%eax
	addl -32(%ebp),%eax
	movb $0,(%eax)
	incl -32(%ebp)
	jmp L47
	.align 2,0x90
L48:
L46:
L27:
	incl -20(%ebp)
	jmp L25
	.align 2,0x90
L26:
	cmpl $0,-48(%ebp)
	je L51
	pushl $LC3
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC4
	pushl -48(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L50
	jmp L51
	.align 2,0x90
L51:
	cmpl $0,-16(%ebp)
	jne L49
	jmp L50
	.align 2,0x90
L50:
	pushl $1024
	leal -1072(%ebp),%eax
	pushl %eax
	pushl 12(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-48(%ebp)
L49:
	cmpl $0,-48(%ebp)
	je L53
	pushl $LC5
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC6
	pushl -48(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L53
	jmp L52
	.align 2,0x90
L53:
	pushl $LC7
	call _bdfError
	addl $4,%esp
	jmp L12
	.align 2,0x90
L52:
	movl -16(%ebp),%eax
	imull -8(%ebp),%eax
	cmpl %eax,-32(%ebp)
	je L54
	pushl -8(%ebp)
	pushl -16(%ebp)
	pushl -32(%ebp)
	pushl $LC8
	call _bdfError
	addl $16,%esp
	jmp L12
	.align 2,0x90
L54:
	cmpl $0,-44(%ebp)
	je L55
	cmpl $0,16(%ebp)
	jne L56
	pushl -32(%ebp)
	pushl -44(%ebp)
	call _BitOrderInvert
	addl $8,%esp
L56:
	movl 20(%ebp),%ebx
	cmpl %ebx,16(%ebp)
	je L55
	cmpl $2,28(%ebp)
	jne L58
	pushl -32(%ebp)
	pushl -44(%ebp)
	call _TwoByteSwap
	addl $8,%esp
	jmp L55
	.align 2,0x90
L58:
	cmpl $4,28(%ebp)
	jne L55
	pushl -32(%ebp)
	pushl -44(%ebp)
	call _FourByteSwap
	addl $8,%esp
L60:
L59:
L57:
L55:
	movl $1,%eax
	jmp L1
	.align 2,0x90
L12:
	cmpl $0,-44(%ebp)
	je L61
	pushl -44(%ebp)
	call _Xfree
	addl $4,%esp
L61:
	movl 8(%ebp),%eax
	movl $0,12(%eax)
	xorl %eax,%eax
	jmp L1
	.align 2,0x90
L1:
	leal -1096(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.data
LC9:
	.ascii "ENDCHAR\0"
LC10:
	.ascii "ENDCHAR\0"
LC11:
	.ascii "ENDCHAR\0"
LC12:
	.ascii "ENDCHAR\0"
LC13:
	.ascii "Error in bitmap, missing 'ENDCHAR'\12\0"
.text
	.align 2
_bdfSkipBitmap:
	pushl %ebp
	movl %esp,%ebp
	subl $1032,%esp
	movl $0,-8(%ebp)
	nop
L63:
	pushl $1024
	leal -1032(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	incl -8(%ebp)
L65:
	cmpl $0,-4(%ebp)
	je L64
	pushl $LC9
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC10
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L64
	movl 12(%ebp),%edx
	cmpl %edx,-8(%ebp)
	jg L64
	jmp L63
	.align 2,0x90
L64:
	cmpl $1,-8(%ebp)
	jle L66
	cmpl $0,-4(%ebp)
	je L66
	pushl $LC11
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC12
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L66
	pushl $LC13
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L62
	.align 2,0x90
L66:
	movl $1,%eax
	jmp L62
	.align 2,0x90
L62:
	leave
	ret
.data
LC14:
	.ascii "CHARS %d\0"
LC15:
	.ascii "bad 'CHARS' in bdf file\12\0"
LC16:
	.ascii "invalid number of CHARS in BDF file\12\0"
LC17:
	.ascii "Couldn't allocate pCI (%d*%d)\12\0"
LC18:
	.ascii "Couldn't allocate glyphNames (%d*%d)\12\0"
LC19:
	.ascii "Couldn't allocate sWidth (%d *%d)\12\0"
LC20:
	.ascii "STARTCHAR\0"
LC21:
	.ascii "STARTCHAR\0"
LC22:
	.ascii "STARTCHAR %s\0"
LC23:
	.ascii "bad character name in BDF file\12\0"
LC24:
	.ascii "ENCODING %d %d\0"
LC25:
	.ascii "bad 'ENCODING' in BDF file\12\0"
LC26:
	.ascii "bad ENCODING value\0"
LC27:
	.ascii "char '%s' has encoding too large (%d)\12\0"
LC28:
	.ascii "Couldn't allocate row %d of encoding (%d*%d)\12\0"
LC29:
	.ascii "SWIDTH %d %d\0"
LC30:
	.ascii "bad 'SWIDTH'\12\0"
LC31:
	.ascii "SWIDTH y value must be zero\12\0"
LC32:
	.ascii "DWIDTH %d %d\0"
LC33:
	.ascii "bad 'DWIDTH'\12\0"
LC34:
	.ascii "DWIDTH y value must be zero\12\0"
LC35:
	.ascii "BBX %d %d %d %d\0"
LC36:
	.ascii "bad 'BBX'\12\0"
LC37:
	.ascii "character '%s' has a negative sized bitmap, %dx%d\12\0"
LC38:
	.ascii "ATTRIBUTES\0"
LC39:
	.ascii "ATTRIBUTES\0"
LC40:
	.ascii "ATTRIBUTES \0"
LC41:
	.ascii "BITMAP\0"
LC42:
	.ascii "BITMAP\0"
LC43:
	.ascii "missing 'BITMAP'\12\0"
LC44:
	.ascii "%d too few characters\12\0"
LC45:
	.ascii "STARTCHAR\0"
LC46:
	.ascii "STARTCHAR\0"
LC47:
	.ascii "more characters than specified\12\0"
LC48:
	.ascii "ENDFONT\0"
LC49:
	.ascii "ENDFONT\0"
LC50:
	.ascii "missing 'ENDFONT'\12\0"
LC51:
	.ascii "No characters with valid encodings\12\0"
LC52:
	.ascii "Couldn't allocate ppCI (%d,%d)\12\0"
.text
	.align 2
_bdfReadCharacters:
	pushl %ebp
	movl %esp,%ebp
	subl $2252,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl $0,-32(%ebp)
	movl 12(%ebp),%eax
	movl 120(%eax),%esi
	movl %esi,-1060(%ebp)
	movl -1060(%ebp),%eax
	movl 32(%eax),%edi
	movl %edi,-1064(%ebp)
	cmpl $0,-1064(%ebp)
	je L68
	movl %edi,%esi
	addl $8,%esi
	movl %esi,-1068(%ebp)
	movl $0,-8(%ebp)
L69:
	cmpl $3,-8(%ebp)
	jg L70
	movl -8(%ebp),%eax
	leal 0(,%eax,4),%edx
	movl -1068(%ebp),%eax
	movl $0,(%edx,%eax)
L71:
	incl -8(%ebp)
	jmp L69
	.align 2,0x90
L70:
	movl -1064(%ebp),%eax
	movl $0,(%eax)
	movl -1064(%ebp),%eax
	movl $0,4(%eax)
	jmp L72
	.align 2,0x90
L68:
	movl $0,-1068(%ebp)
L72:
	pushl $1024
	pushl $0
	leal -1056(%ebp),%eax
	pushl %eax
	call _memset
	addl $12,%esp
	movl -1060(%ebp),%eax
	movl $0,12(%eax)
	movl $0,-12(%ebp)
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L74
	leal -16(%ebp),%eax
	pushl %eax
	pushl $LC14
	pushl -4(%ebp)
	call _sscanf
	addl $12,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne L74
	jmp L73
	.align 2,0x90
L74:
	pushl $LC15
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L67
	.align 2,0x90
L73:
	cmpl $0,-16(%ebp)
	jg L75
	pushl $LC16
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L67
	.align 2,0x90
L75:
	imull $16,-16(%ebp),%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,%ebx
	testl %ebx,%ebx
	jne L76
	pushl $16
	pushl -16(%ebp)
	pushl $LC17
	call _bdfError
	addl $12,%esp
	jmp L77
	.align 2,0x90
L76:
	movl -1060(%ebp),%eax
	movl %ebx,12(%eax)
	cmpl $0,-1064(%ebp)
	je L78
	imull $4,-16(%ebp),%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl -1064(%ebp),%edx
	movl %eax,(%edx)
	movl -1064(%ebp),%eax
	cmpl $0,(%eax)
	jne L78
	pushl $4
	pushl -16(%ebp)
	pushl $LC18
	call _bdfError
	addl $12,%esp
	jmp L77
	.align 2,0x90
L79:
L78:
	cmpl $0,-1064(%ebp)
	je L80
	imull $4,-16(%ebp),%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl -1064(%ebp),%edx
	movl %eax,4(%edx)
	movl -1064(%ebp),%eax
	cmpl $0,4(%eax)
	jne L80
	pushl $4
	pushl -16(%ebp)
	pushl $LC19
	call _bdfError
	addl $12,%esp
	xorl %eax,%eax
	jmp L67
	.align 2,0x90
L81:
L80:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	movl 12(%ebp),%eax
	movw $256,8(%eax)
	movl 12(%ebp),%eax
	movw $0,10(%eax)
	movl 12(%ebp),%eax
	movw $256,4(%eax)
	movl 12(%ebp),%eax
	movw $0,6(%eax)
	movl $0,-20(%ebp)
	movl $0,-12(%ebp)
L82:
	movl -16(%ebp),%edi
	cmpl %edi,-12(%ebp)
	jge L83
	cmpl $0,-4(%ebp)
	je L83
	pushl $LC20
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC21
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L83
	leal -2236(%ebp),%eax
	pushl %eax
	pushl $LC22
	pushl -4(%ebp)
	call _sscanf
	addl $12,%esp
	movl %eax,%eax
	cmpl $1,%eax
	je L85
	pushl $LC23
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L85:
	cmpl $0,-1064(%ebp)
	je L86
	pushl $0
	leal -2236(%ebp),%eax
	pushl %eax
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -1064(%ebp),%edx
	movl -12(%ebp),%ecx
	leal 0(,%ecx,4),%esi
	movl %esi,-2252(%ebp)
	movl (%edx),%edx
	movl %eax,(%esi,%edx)
L86:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L88
	leal -2132(%ebp),%eax
	pushl %eax
	leal -2128(%ebp),%eax
	pushl %eax
	pushl $LC24
	pushl -4(%ebp)
	call _sscanf
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,-2100(%ebp)
	testl %edx,%edx
	jle L88
	jmp L87
	.align 2,0x90
L88:
	pushl $LC25
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L87:
	cmpl $-1,-2128(%ebp)
	jl L90
	cmpl $2,-2100(%ebp)
	jne L89
	cmpl $-1,-2132(%ebp)
	jl L90
	jmp L89
	.align 2,0x90
L90:
	pushl $LC26
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L89:
	cmpl $2,-2100(%ebp)
	jne L91
	cmpl $-1,-2128(%ebp)
	jne L91
	movl -2132(%ebp),%edi
	movl %edi,-2128(%ebp)
L91:
	movl $0,-2240(%ebp)
	cmpl $-1,-2128(%ebp)
	jne L92
	cmpl $0,-1064(%ebp)
	jne L93
	incl -20(%ebp)
	movl $1,-2240(%ebp)
L93:
	jmp L94
	.align 2,0x90
L92:
	cmpl $65535,-2128(%ebp)
	jle L95
	pushl -2128(%ebp)
	leal -2236(%ebp),%eax
	pushl %eax
	pushl $LC27
	call _bdfError
	addl $12,%esp
	jmp L94
	.align 2,0x90
L95:
	movl -2128(%ebp),%eax
	sarl $8,%eax
	movzbl %al,%esi
	movl %esi,-24(%ebp)
	movzbl -2128(%ebp),%edi
	movl %edi,-28(%ebp)
	movl 12(%ebp),%eax
	movzwl 8(%eax),%edx
	cmpl %edx,-24(%ebp)
	jge L97
	movl 12(%ebp),%eax
	movw -24(%ebp),%si
	movw %si,8(%eax)
L97:
	movl 12(%ebp),%eax
	movzwl 10(%eax),%edx
	cmpl %edx,-24(%ebp)
	jle L98
	movl 12(%ebp),%eax
	movw -24(%ebp),%di
	movw %di,10(%eax)
L98:
	movl 12(%ebp),%eax
	movzwl 4(%eax),%edx
	cmpl %edx,-28(%ebp)
	jge L99
	movl 12(%ebp),%eax
	movw -28(%ebp),%si
	movw %si,4(%eax)
L99:
	movl 12(%ebp),%eax
	movzwl 6(%eax),%edx
	cmpl %edx,-28(%ebp)
	jle L100
	movl 12(%ebp),%eax
	movw -28(%ebp),%di
	movw %di,6(%eax)
L100:
	movl -24(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	jne L101
	pushl $1024
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl -24(%ebp),%edx
	movl %eax,-1056(%ebp,%edx,4)
	movl -24(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	jne L102
	pushl $4
	pushl $256
	pushl -24(%ebp)
	pushl $LC28
	call _bdfError
	addl $16,%esp
	jmp L77
	.align 2,0x90
L102:
	nop
	movl $0,-8(%ebp)
L103:
	cmpl $255,-8(%ebp)
	jg L101
	movl -24(%ebp),%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,4),%ecx
	movl -1056(%ebp,%eax,4),%eax
	movl $0,(%ecx,%eax)
L105:
	incl -8(%ebp)
	jmp L103
	.align 2,0x90
L104:
L101:
	movl -24(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	je L94
	movl -24(%ebp),%eax
	movl -28(%ebp),%edx
	leal 0(,%edx,4),%ecx
	movl -1056(%ebp,%eax,4),%eax
	movl %ebx,(%ecx,%eax)
	incl -32(%ebp)
L106:
L96:
L94:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L108
	leal -2108(%ebp),%eax
	pushl %eax
	leal -2104(%ebp),%eax
	pushl %eax
	pushl $LC29
	pushl -4(%ebp)
	call _sscanf
	addl $16,%esp
	movl %eax,%eax
	cmpl $2,%eax
	jne L108
	jmp L107
	.align 2,0x90
L108:
	pushl $LC30
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L107:
	cmpl $0,-2108(%ebp)
	je L109
	pushl $LC31
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L109:
	cmpl $0,-1064(%ebp)
	je L110
	movl -1064(%ebp),%eax
	movl -12(%ebp),%edx
	leal 0(,%edx,4),%ecx
	movl 4(%eax),%eax
	movl -2104(%ebp),%esi
	movl %esi,(%ecx,%eax)
L110:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L112
	leal -2108(%ebp),%eax
	pushl %eax
	leal -2104(%ebp),%eax
	pushl %eax
	pushl $LC32
	pushl -4(%ebp)
	call _sscanf
	addl $16,%esp
	movl %eax,%eax
	cmpl $2,%eax
	jne L112
	jmp L111
	.align 2,0x90
L112:
	pushl $LC33
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L111:
	cmpl $0,-2108(%ebp)
	je L113
	pushl $LC34
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L113:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L115
	leal -2124(%ebp),%eax
	pushl %eax
	leal -2120(%ebp),%eax
	pushl %eax
	leal -2116(%ebp),%eax
	pushl %eax
	leal -2112(%ebp),%eax
	pushl %eax
	pushl $LC35
	pushl -4(%ebp)
	call _sscanf
	addl $24,%esp
	movl %eax,%eax
	cmpl $4,%eax
	jne L115
	jmp L114
	.align 2,0x90
L115:
	pushl $LC36
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L114:
	cmpl $0,-2116(%ebp)
	jl L117
	cmpl $0,-2112(%ebp)
	jl L117
	jmp L116
	.align 2,0x90
L117:
	pushl -2116(%ebp)
	pushl -2112(%ebp)
	leal -2236(%ebp),%eax
	pushl %eax
	pushl $LC37
	call _bdfError
	addl $16,%esp
	jmp L77
	.align 2,0x90
L116:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L118
	pushl $LC38
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC39
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L118
	pushl $LC40
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	movl -4(%ebp),%edi
	addl %eax,%edi
	movl %edi,-2136(%ebp)
L119:
	movl -2136(%ebp),%eax
	cmpb $32,(%eax)
	je L121
	movl -2136(%ebp),%eax
	cmpb $9,(%eax)
	je L121
	jmp L120
	.align 2,0x90
L122:
L121:
	incl -2136(%ebp)
	jmp L119
	.align 2,0x90
L120:
	pushl -2136(%ebp)
	call _bdfHexByte
	addl $4,%esp
	movb %al,-2244(%ebp)
	movl -2136(%ebp),%eax
	addl $2,%eax
	pushl %eax
	call _bdfHexByte
	addl $4,%esp
	movb %al,%dl
	movzbl -2244(%ebp),%eax
	movzbl %dl,%edx
	leal 8(%edx),%ecx
	sall %cl,%eax
	movw %ax,10(%ebx)
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	jmp L123
	.align 2,0x90
L118:
	movw $0,10(%ebx)
L123:
	cmpl $0,-4(%ebp)
	je L125
	pushl $LC41
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC42
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L125
	jmp L124
	.align 2,0x90
L125:
	pushl $LC43
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L124:
	leal -2236(%ebp),%eax
	pushl %eax
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne L126
	cmpb $47,-2236(%ebp)
	jle L127
	cmpb $57,-2236(%ebp)
	jg L127
	movl 16(%ebp),%eax
	movl 16(%ebp),%edx
	movl 1048(%edx),%esi
	addl -2104(%ebp),%esi
	movl %esi,1048(%eax)
	movl 16(%ebp),%eax
	incl 1044(%eax)
	jmp L126
	.align 2,0x90
L127:
	cmpb $120,-2236(%ebp)
	jne L126
	movl 16(%ebp),%eax
	movl -2116(%ebp),%edx
	movl %edx,%ecx
	addl -2124(%ebp),%ecx
	testl %ecx,%ecx
	jle L130
	addl -2124(%ebp),%edx
L130:
	movl %edx,1052(%eax)
L129:
L128:
L126:
	cmpl $0,-2240(%ebp)
	jne L131
	movw -2120(%ebp),%di
	movw %di,(%ebx)
	movw -2120(%ebp),%si
	addw -2112(%ebp),%si
	movw %si,2(%ebx)
	movw -2116(%ebp),%di
	addw -2124(%ebp),%di
	movw %di,6(%ebx)
	movw -2124(%ebp),%si
	movw %si,8(%ebx)
	negw 8(%ebx)
	movw -2104(%ebp),%di
	movw %di,4(%ebx)
	movl $0,12(%ebx)
	pushl -1068(%ebp)
	pushl 32(%ebp)
	pushl 28(%ebp)
	pushl 24(%ebp)
	pushl 20(%ebp)
	pushl 8(%ebp)
	pushl %ebx
	call _bdfReadBitmap
	addl $28,%esp
	addl $16,%ebx
	incl -12(%ebp)
	jmp L132
	.align 2,0x90
L131:
	pushl -2116(%ebp)
	pushl 8(%ebp)
	call _bdfSkipBitmap
	addl $8,%esp
L132:
	pushl $1024
	leal -2092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
L84:
	jmp L82
	.align 2,0x90
L83:
	movl -12(%ebp),%eax
	addl -20(%ebp),%eax
	cmpl %eax,-16(%ebp)
	je L133
	movl -12(%ebp),%eax
	addl -20(%ebp),%eax
	movl -16(%ebp),%edx
	subl %eax,%edx
	pushl %edx
	pushl $LC44
	call _bdfError
	addl $8,%esp
	jmp L77
	.align 2,0x90
L133:
	movl -12(%ebp),%esi
	movl %esi,-16(%ebp)
	movl -1060(%ebp),%eax
	movl %esi,4(%eax)
	cmpl $0,-4(%ebp)
	je L134
	pushl $LC45
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC46
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L134
	pushl $LC47
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L134:
	cmpl $0,-4(%ebp)
	je L136
	pushl $LC48
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC49
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L136
	jmp L135
	.align 2,0x90
L136:
	pushl $LC50
	call _bdfError
	addl $4,%esp
	jmp L77
	.align 2,0x90
L135:
	cmpl $0,-32(%ebp)
	jne L137
	pushl $LC51
	call _bdfWarning
	addl $4,%esp
L137:
	movl 12(%ebp),%edx
	movzwl 10(%edx),%eax
	movl 12(%ebp),%edx
	movzwl 8(%edx),%ecx
	movl %eax,%edx
	subl %ecx,%edx
	leal 1(%edx),%eax
	movl 12(%ebp),%ecx
	movzwl 6(%ecx),%edx
	movl 12(%ebp),%ecx
	movzwl 4(%ecx),%edi
	movl %edi,-2252(%ebp)
	subl -2252(%ebp),%edx
	leal 1(%edx),%ecx
	movl %eax,%esi
	imull %ecx,%esi
	movl %esi,-2096(%ebp)
	imull $4,-2096(%ebp),%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl -1060(%ebp),%edx
	movl %eax,24(%edx)
	movl -1060(%ebp),%eax
	cmpl $0,24(%eax)
	jne L138
	pushl $4
	pushl -2096(%ebp)
	pushl $LC52
	call _bdfError
	addl $12,%esp
	jmp L77
	.align 2,0x90
L138:
	movl 12(%ebp),%eax
	orb $64,14(%eax)
	movl $0,-8(%ebp)
	movl 12(%ebp),%eax
	movzwl 8(%eax),%edi
	movl %edi,-24(%ebp)
L139:
	movl 12(%ebp),%eax
	movzwl 10(%eax),%edx
	cmpl %edx,-24(%ebp)
	jg L140
	movl -24(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	jne L142
	movl 12(%ebp),%eax
	andb $-65,14(%eax)
	movl 12(%ebp),%eax
	movzwl 4(%eax),%esi
	movl %esi,-28(%ebp)
L143:
	movl 12(%ebp),%eax
	movzwl 6(%eax),%edx
	cmpl %edx,-28(%ebp)
	jg L144
	movl -1060(%ebp),%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,4),%ecx
	movl 24(%eax),%eax
	movl $0,(%ecx,%eax)
	incl -8(%ebp)
L145:
	incl -28(%ebp)
	jmp L143
	.align 2,0x90
L144:
	jmp L141
	.align 2,0x90
L142:
	movl 12(%ebp),%eax
	movzwl 4(%eax),%edi
	movl %edi,-28(%ebp)
L147:
	movl 12(%ebp),%eax
	movzwl 6(%eax),%edx
	cmpl %edx,-28(%ebp)
	jg L141
	movl -24(%ebp),%eax
	movl -28(%ebp),%edx
	leal 0(,%edx,4),%ecx
	movl -1056(%ebp,%eax,4),%eax
	cmpl $0,(%ecx,%eax)
	jne L150
	movl 12(%ebp),%eax
	andb $-65,14(%eax)
L150:
	movl -1060(%ebp),%edx
	movl -8(%ebp),%ecx
	leal 0(,%ecx,4),%eax
	movl 24(%edx),%edx
	movl -24(%ebp),%ecx
	movl -28(%ebp),%esi
	movl %esi,-2252(%ebp)
	leal 0(,%esi,4),%esi
	movl %esi,-2248(%ebp)
	movl -1056(%ebp,%ecx,4),%ecx
	movl (%esi,%ecx),%edi
	movl %edi,(%eax,%edx)
	incl -8(%ebp)
L149:
	incl -28(%ebp)
	jmp L147
	.align 2,0x90
L148:
L146:
L141:
	incl -24(%ebp)
	jmp L139
	.align 2,0x90
L140:
	nop
	movl $0,-8(%ebp)
L151:
	cmpl $255,-8(%ebp)
	jg L152
	movl -8(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	je L153
	movl -8(%ebp),%eax
	pushl -1056(%ebp,%eax,4)
	call _Xfree
	addl $4,%esp
L154:
L153:
	incl -8(%ebp)
	jmp L151
	.align 2,0x90
L152:
	movl $1,%eax
	jmp L67
	.align 2,0x90
L77:
	nop
	movl $0,-8(%ebp)
L155:
	cmpl $255,-8(%ebp)
	jg L156
	movl -8(%ebp),%eax
	cmpl $0,-1056(%ebp,%eax,4)
	je L157
	movl -8(%ebp),%eax
	pushl -1056(%ebp,%eax,4)
	call _Xfree
	addl $4,%esp
L158:
L157:
	incl -8(%ebp)
	jmp L155
	.align 2,0x90
L156:
	nop
	movl $0,-8(%ebp)
L159:
	movl -12(%ebp),%esi
	cmpl %esi,-8(%ebp)
	jge L160
	movl -1060(%ebp),%eax
	movl -8(%ebp),%edx
	imull $16,%edx,%ecx
	movl 12(%eax),%eax
	cmpl $0,12(%ecx,%eax)
	je L161
	movl -1060(%ebp),%eax
	movl -8(%ebp),%edx
	imull $16,%edx,%ecx
	movl 12(%eax),%eax
	pushl 12(%ecx,%eax)
	call _Xfree
	addl $4,%esp
L162:
L161:
	incl -8(%ebp)
	jmp L159
	.align 2,0x90
L160:
	movl -1060(%ebp),%eax
	pushl 12(%eax)
	call _Xfree
	addl $4,%esp
	cmpl $0,-1064(%ebp)
	je L163
	movl -1064(%ebp),%eax
	pushl (%eax)
	call _Xfree
	addl $4,%esp
	movl -1064(%ebp),%eax
	pushl 4(%eax)
	call _Xfree
	addl $4,%esp
L163:
	xorl %eax,%eax
	jmp L67
	.align 2,0x90
L67:
	leal -2264(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.data
LC53:
	.ascii "STARTFONT %s\0"
LC54:
	.ascii "2.1\0"
LC55:
	.ascii "bad 'STARTFONT'\12\0"
LC56:
	.ascii "FONT %[^\12]\0"
LC57:
	.ascii "bad 'FONT'\12\0"
LC58:
	.ascii "SIZE\0"
LC59:
	.ascii "SIZE\0"
LC60:
	.ascii "missing 'SIZE'\12\0"
LC61:
	.ascii "SIZE %f%d%d\0"
LC62:
	.ascii "bad 'SIZE'\12\0"
LC63:
	.ascii "SIZE values must be > 0\12\0"
LC64:
	.ascii "bdfReadHeader: file == NULL 1\12\0"
LC65:
	.ascii "bdfReadHeader: file == NULL 2\12\0"
LC66:
	.ascii "FONTBOUNDINGBOX\0"
LC67:
	.ascii "FONTBOUNDINGBOX\0"
LC68:
	.ascii "missing 'FONTBOUNDINGBOX'\12\0"
LC69:
	.ascii "bdfReadHeader: file == NULL 3\12\0"
.text
	.align 2
.globl _bdfReadHeader
_bdfReadHeader:
	pushl %ebp
	movl %esp,%ebp
	subl $2056,%esp
	pushl $1024
	leal -2056(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L166
	leal -1028(%ebp),%eax
	pushl %eax
	pushl $LC53
	pushl -4(%ebp)
	call _sscanf
	addl $12,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne L166
	pushl $LC54
	leal -1028(%ebp),%eax
	pushl %eax
	call _strcmp
	addl $8,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L166
	jmp L165
	.align 2,0x90
L166:
	pushl $LC55
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L165:
	pushl $1024
	leal -2056(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L168
	movl 12(%ebp),%eax
	addl $8,%eax
	pushl %eax
	pushl $LC56
	pushl -4(%ebp)
	call _sscanf
	addl $12,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne L168
	jmp L167
	.align 2,0x90
L168:
	pushl $LC57
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L167:
	pushl $1024
	leal -2056(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je L170
	pushl $LC58
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC59
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L170
	jmp L169
	.align 2,0x90
L170:
	pushl $LC60
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L169:
	movl 12(%ebp),%eax
	addl $1040,%eax
	pushl %eax
	movl 12(%ebp),%eax
	addl $1036,%eax
	pushl %eax
	movl 12(%ebp),%eax
	addl $1032,%eax
	pushl %eax
	pushl $LC61
	pushl -4(%ebp)
	call _sscanf
	addl $20,%esp
	movl %eax,%eax
	cmpl $3,%eax
	je L171
	pushl $LC62
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L171:
	movl 12(%ebp),%eax
	pushl $0x3f800000
	pushl 1032(%eax)
	call ___ltsf2
	addl $8,%esp
	testl %eax,%eax
	jl L173
	movl 12(%ebp),%eax
	cmpl $0,1036(%eax)
	jle L173
	movl 12(%ebp),%eax
	cmpl $0,1040(%eax)
	jle L173
	jmp L172
	.align 2,0x90
L173:
	pushl $LC63
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L172:
	cmpl $0,8(%ebp)
	jne L174
	pushl $LC64
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L174:
	pushl $1024
	leal -2056(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-4(%ebp)
	cmpl $0,8(%ebp)
	jne L175
	pushl $LC65
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L175:
	cmpl $0,-4(%ebp)
	je L177
	pushl $LC66
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC67
	pushl -4(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L177
	jmp L176
	.align 2,0x90
L177:
	pushl $LC68
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L164
	.align 2,0x90
L176:
	cmpl $0,8(%ebp)
	jne L178
	pushl $LC69
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L178:
	movl $1,%eax
	jmp L164
	.align 2,0x90
L164:
	leave
	ret
.data
LC70:
	.ascii "bdfGetLine\12\0"
LC71:
	.ascii "file==NULL!\12\0"
LC72:
	.ascii "lineBuf==NULL!\12\0"
LC73:
	.ascii "bdfIsPrefix\12\0"
LC74:
	.ascii "STARTPROPERTIES\0"
LC75:
	.ascii "STARTPROPERTIES\0"
LC76:
	.ascii "missing 'STARTPROPERTIES'\12\0"
LC77:
	.ascii "sscanf1\12\0"
LC78:
	.ascii "STARTPROPERTIES %d\0"
LC79:
	.ascii "bad 'STARTPROPERTIES'\12\0"
LC80:
	.ascii "Couldn't allocate stringProps (%d*%d)\12\0"
LC81:
	.ascii "Couldn't allocate props (%d*%d)\12\0"
LC82:
	.ascii "nProps = %d\12\0"
LC83:
	.ascii "ENDPROPERTIES\0"
LC84:
	.ascii "ENDPROPERTIES\0"
LC85:
	.ascii "%d too few properites\12\0"
LC86:
	.ascii "missing '%s' parameter value\12\0"
LC87:
	.ascii "invalid '%s' parameter value\12\0"
LC88:
	.ascii "invalid '%s' parameter value\12\0"
LC89:
	.ascii "%s%s%s\0"
LC90:
	.ascii "Empty property name.\12\0"
LC91:
	.ascii "ENDPROPERTIES\12\0"
LC92:
	.ascii "ENDPROPERTIES\0"
LC93:
	.ascii "ENDPROPERTIES\0"
LC94:
	.ascii "missing 'ENDPROPERTIES'\12\0"
LC95:
	.ascii "missing 'FONT_ASCENT' or 'FONT_DESCENT' properties\12\0"
LC96:
	.ascii "pointSizeProp\12\0"
LC97:
	.ascii "POINT_SIZE\0"
LC98:
	.ascii "fontProp\12\0"
LC99:
	.ascii "FONT\0"
LC100:
	.ascii "weightProp\12\0"
LC101:
	.ascii "WEIGHT\0"
LC102:
	.ascii "resolutionProp\12\0"
LC103:
	.ascii "RESOLUTION\0"
LC104:
	.ascii "resolutionXProp\12\0"
LC105:
	.ascii "RESOLUTION_X\0"
LC106:
	.ascii "resolutionYProp\12\0"
LC107:
	.ascii "RESOLUTION_Y\0"
LC108:
	.ascii "xHeightProp\12\0"
LC109:
	.ascii "X_HEIGHT\0"
LC110:
	.ascii "quadWidthProp\12\0"
LC111:
	.ascii "QUAD_WIDTH\0"
LC112:
	.ascii "ENDPROPERTIES\0"
LC113:
	.ascii "ENDPROPERTIES\0"
.text
	.align 2
_bdfReadProperties:
	pushl %ebp
	movl %esp,%ebp
	subl $4120,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 12(%ebp),%eax
	movl 120(%eax),%edi
	movl %edi,-4120(%ebp)
	pushl $LC70
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	cmpl $0,8(%ebp)
	jne L180
	pushl $LC71
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L180:
	leal -4116(%ebp),%eax
	testl %eax,%eax
	jne L181
	pushl $LC72
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L181:
	pushl $1024
	leal -4116(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-3092(%ebp)
	pushl $LC73
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	cmpl $0,-3092(%ebp)
	je L183
	pushl $LC74
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC75
	pushl -3092(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L183
	jmp L182
	.align 2,0x90
L183:
	pushl $LC76
	pushl 8(%ebp)
	call _bdfError
	addl $8,%esp
	xorl %eax,%eax
	jmp L179
	.align 2,0x90
L182:
	pushl $LC77
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	leal -4(%ebp),%eax
	pushl %eax
	pushl $LC78
	pushl -3092(%ebp)
	call _sscanf
	addl $12,%esp
	movl %eax,%eax
	cmpl $1,%eax
	je L184
	pushl $LC79
	call _bdfError
	addl $4,%esp
	xorl %eax,%eax
	jmp L179
	.align 2,0x90
L184:
	movl 12(%ebp),%eax
	movl $0,80(%eax)
	movl 12(%ebp),%eax
	movl $0,76(%eax)
	movl -4(%ebp),%eax
	addl $6,%eax
	pushl %eax
	call _Xalloc
	addl $4,%esp
	movl %eax,-12(%ebp)
	movl 12(%ebp),%eax
	movl -12(%ebp),%edi
	movl %edi,80(%eax)
	cmpl $0,-12(%ebp)
	jne L185
	pushl $4
	movl -4(%ebp),%eax
	addl $6,%eax
	pushl %eax
	pushl $LC80
	call _bdfError
	addl $12,%esp
	jmp L186
	.align 2,0x90
L185:
	movl -4(%ebp),%eax
	addl $6,%eax
	leal 0(,%eax,8),%edx
	pushl %edx
	call _Xalloc
	addl $4,%esp
	movl %eax,%edx
	movl 12(%ebp),%eax
	movl %edx,%edx
	movl %edx,-16(%ebp)
	movl %edx,76(%eax)
	cmpl $0,-16(%ebp)
	jne L187
	pushl $8
	pushl $LC81
	call _bdfError
	addl $8,%esp
	jmp L186
	.align 2,0x90
L187:
	movl $0,-8(%ebp)
L188:
	movl -4(%ebp),%eax
	decl -4(%ebp)
	testl %eax,%eax
	jle L189
	pushl $1024
	leal -4116(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-3092(%ebp)
	pushl -4(%ebp)
	pushl $LC82
	pushl $__iob+40
	call _fprintf
	addl $12,%esp
	cmpl $0,-3092(%ebp)
	je L191
	pushl $LC83
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC84
	pushl -3092(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L190
	jmp L191
	.align 2,0x90
L191:
	movl -4(%ebp),%eax
	incl %eax
	pushl %eax
	pushl $LC85
	call _bdfError
	addl $8,%esp
	jmp L186
	.align 2,0x90
L190:
	nop
L192:
	movl -3092(%ebp),%eax
	cmpb $0,(%eax)
	je L193
	movl -3092(%ebp),%eax
	movzbl (%eax),%edx
	leal 0(,%edx,2),%eax
	movl ___ctype_b,%edx
	movb (%eax,%edx),%al
	andb $16,%al
	testb %al,%al
	je L193
	incl -3092(%ebp)
	jmp L192
	.align 2,0x90
L193:
	leal -3088(%ebp),%eax
	pushl %eax
	leal -2064(%ebp),%eax
	pushl %eax
	leal -1040(%ebp),%eax
	pushl %eax
	pushl $LC89
	pushl -3092(%ebp)
	call _sscanf
	addl $20,%esp
	movl %eax,%eax
	cmpl $2,%eax
	je L196
	cmpl $3,%eax
	je L201
	jmp L195
	.align 2,0x90
L195:
	leal -1040(%ebp),%eax
	pushl %eax
	pushl $LC86
	call _bdfError
	addl $8,%esp
	jmp L186
	.align 2,0x90
	jmp L194
	.align 2,0x90
L196:
	cmpb $34,-2064(%ebp)
	jne L197
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $1,(%eax)
	leal -1040(%ebp),%eax
	pushl %eax
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	movl %eax,%edx
	addl -3092(%ebp),%edx
	leal 1(%edx),%eax
	pushl %eax
	call _bdfGetPropertyValue
	addl $4,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,4(%ecx,%edx)
	jmp L194
	.align 2,0x90
	jmp L198
	.align 2,0x90
L197:
	leal -2064(%ebp),%eax
	pushl %eax
	call _bdfIsInteger
	addl $4,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L199
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	leal -2064(%ebp),%eax
	pushl %eax
	call _atoi
	addl $4,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,4(%ecx,%edx)
	jmp L194
	.align 2,0x90
	jmp L200
	.align 2,0x90
L199:
	leal -1040(%ebp),%eax
	pushl %eax
	pushl $LC87
	call _bdfError
	addl $8,%esp
	jmp L186
	.align 2,0x90
L200:
L198:
L201:
	cmpb $34,-2064(%ebp)
	jne L202
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $1,(%eax)
	leal -1040(%ebp),%eax
	pushl %eax
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	movl %eax,%edx
	addl -3092(%ebp),%edx
	leal 1(%edx),%eax
	pushl %eax
	call _bdfGetPropertyValue
	addl $4,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,4(%ecx,%edx)
	jmp L194
	.align 2,0x90
	jmp L203
	.align 2,0x90
L202:
	leal -1040(%ebp),%eax
	pushl %eax
	pushl $LC88
	call _bdfError
	addl $8,%esp
	jmp L186
	.align 2,0x90
L203:
L194:
	pushl $0
	leal -1040(%ebp),%eax
	pushl %eax
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%edx
	movl -16(%ebp),%eax
	cmpl $0,(%edx,%eax)
	jne L205
	pushl $LC90
	call _bdfError
	addl $4,%esp
	jmp L186
	.align 2,0x90
L205:
	pushl 16(%ebp)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movsbl (%eax),%edx
	pushl %edx
	imull $8,-8(%ebp),%eax
	movl %eax,%edx
	addl -16(%ebp),%edx
	pushl %edx
	pushl 12(%ebp)
	call _bdfSpecialProperty
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L206
	incl -8(%ebp)
L206:
	jmp L188
	.align 2,0x90
L189:
	pushl $LC91
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl $1024
	leal -4116(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-3092(%ebp)
	pushl $LC92
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC93
	pushl -3092(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L207
	pushl $LC94
	call _bdfError
	addl $4,%esp
	jmp L186
	.align 2,0x90
L207:
	movl 16(%ebp),%eax
	cmpb $0,1088(%eax)
	je L209
	movl 16(%ebp),%eax
	cmpb $0,1089(%eax)
	jne L208
	jmp L209
	.align 2,0x90
L209:
	pushl $LC95
	call _bdfError
	addl $4,%esp
	jmp L186
	.align 2,0x90
L208:
	movl -4120(%ebp),%eax
	cmpl $0,32(%eax)
	je L210
	movl -4120(%ebp),%eax
	movl 32(%eax),%edx
	movl 12(%ebp),%eax
	movw 68(%eax),%di
	movw %di,88(%edx)
	movl -4120(%ebp),%eax
	movl 32(%eax),%edx
	movl 12(%ebp),%eax
	movw 70(%eax),%di
	movw %di,90(%edx)
L210:
	pushl $LC96
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1060(%eax)
	jne L211
	pushl $0
	pushl $LC97
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%ebx
	movl -16(%ebp),%esi
	movl 16(%ebp),%eax
	pushl 1032(%eax)
	call ___extendsfdf2
	addl $4,%esp
	pushl $1076101120
	pushl $0
	subl $8,%esp
	fstpl (%esp)
	call ___muldf3
	addl $16,%esp
	subl $8,%esp
	fstpl (%esp)
	call ___fixdfsi
	addl $8,%esp
	movl %eax,4(%ebx,%esi)
	movl %eax,4(%ebx,%esi)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1060(%eax)
	incl -8(%ebp)
L211:
	pushl $LC98
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1056(%eax)
	jne L212
	pushl $0
	pushl $LC99
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	pushl $0
	movl 16(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,4(%ecx,%edx)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $1,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1056(%eax)
	incl -8(%ebp)
L212:
	pushl $LC100
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1080(%eax)
	jne L213
	pushl $0
	pushl $LC101
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%edx
	movl -16(%ebp),%eax
	movl $-1,4(%edx,%eax)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1080(%eax)
	incl -8(%ebp)
L213:
	pushl $LC102
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1072(%eax)
	jne L214
	movl 16(%ebp),%eax
	movl 16(%ebp),%edx
	movl 1040(%edx),%edi
	cmpl %edi,1036(%eax)
	jne L214
	pushl $0
	pushl $LC103
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%ebx
	movl -16(%ebp),%esi
	movl 16(%ebp),%eax
	pushl 1036(%eax)
	call ___floatsidf
	addl $4,%esp
	pushl $1079574528
	pushl $0
	subl $8,%esp
	fstpl (%esp)
	call ___muldf3
	addl $16,%esp
	pushl $1079120199
	pushl $-1374389534
	subl $8,%esp
	fstpl (%esp)
	call ___divdf3
	addl $16,%esp
	subl $8,%esp
	fstpl (%esp)
	call ___fixdfsi
	addl $8,%esp
	movl %eax,4(%ebx,%esi)
	movl %eax,4(%ebx,%esi)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1072(%eax)
	incl -8(%ebp)
L214:
	pushl $LC104
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1064(%eax)
	jne L215
	pushl $0
	pushl $LC105
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%eax
	movl -16(%ebp),%edx
	movl 16(%ebp),%ecx
	movl 1036(%ecx),%edi
	movl %edi,4(%eax,%edx)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1072(%eax)
	incl -8(%ebp)
L215:
	pushl $LC106
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1068(%eax)
	jne L216
	pushl $0
	pushl $LC107
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%eax
	movl -16(%ebp),%edx
	movl 16(%ebp),%ecx
	movl 1040(%ecx),%edi
	movl %edi,4(%eax,%edx)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1072(%eax)
	incl -8(%ebp)
L216:
	pushl $LC108
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1076(%eax)
	jne L217
	pushl $0
	pushl $LC109
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%edx
	movl -16(%ebp),%eax
	movl $-1,4(%edx,%eax)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1076(%eax)
	incl -8(%ebp)
L217:
	pushl $LC110
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 16(%ebp),%eax
	cmpl $0,1084(%eax)
	jne L218
	pushl $0
	pushl $LC111
	call _bdfForceMakeAtom
	addl $8,%esp
	movl %eax,%eax
	movl -8(%ebp),%edx
	leal 0(,%edx,8),%ecx
	movl -16(%ebp),%edx
	movl %eax,(%ecx,%edx)
	movl -8(%ebp),%eax
	leal 0(,%eax,8),%edx
	movl -16(%ebp),%eax
	movl $-1,4(%edx,%eax)
	movl -12(%ebp),%eax
	addl -8(%ebp),%eax
	movb $0,(%eax)
	movl 16(%ebp),%eax
	imull $8,-8(%ebp),%edx
	movl -16(%ebp),%edi
	addl %edx,%edi
	movl %edi,1084(%eax)
	incl -8(%ebp)
L218:
	movl 12(%ebp),%eax
	movl -8(%ebp),%edi
	movl %edi,72(%eax)
	movl $1,%eax
	jmp L179
	.align 2,0x90
L186:
	movl 12(%ebp),%eax
	cmpl $0,80(%eax)
	je L219
	movl 12(%ebp),%eax
	pushl 80(%eax)
	call _Xfree
	addl $4,%esp
	movl 12(%ebp),%eax
	movl $0,80(%eax)
L219:
	movl 12(%ebp),%eax
	cmpl $0,76(%eax)
	je L220
	movl 12(%ebp),%eax
	pushl 76(%eax)
	call _Xfree
	addl $4,%esp
	movl 12(%ebp),%eax
	movl $0,76(%eax)
L220:
	nop
L221:
	cmpl $0,-3092(%ebp)
	je L222
	pushl $LC112
	call _strlen
	addl $4,%esp
	movl %eax,%eax
	pushl %eax
	pushl $LC113
	pushl -3092(%ebp)
	call _strncmp
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L222
	pushl $1024
	leal -4116(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	call _bdfGetLine
	addl $12,%esp
	movl %eax,-3092(%ebp)
	jmp L221
	.align 2,0x90
L222:
	xorl %eax,%eax
	jmp L179
	.align 2,0x90
L179:
	leal -4132(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
.data
LC114:
	.ascii "bdfReadFont: file==NULL!\12\0"
LC115:
	.ascii "in bdfReadFont\12\0"
LC116:
	.ascii "bdfReadHeader\12\0"
LC117:
	.ascii "file=%x [%x]\12\0"
LC118:
	.ascii "bdfReadFont: file==NULL 1!\12\0"
LC119:
	.ascii "file=%x [%x]\12\0"
LC120:
	.ascii "bdfReadFont: file==NULL 2!\12\0"
LC121:
	.ascii "bdfReadProperties\12\0"
LC122:
	.ascii "file=%x [%x]\12\0"
LC123:
	.ascii "bdfReadFont: file==NULL 3!\12\0"
LC124:
	.ascii "bdfReadCharacters\12\0"
LC125:
	.ascii "bitmapComputeFontBounds\12\0"
LC126:
	.ascii "bitmapComputeInfoAccel\12\0"
LC127:
	.ascii "bitmapComputeInkBounds\12\0"
LC128:
	.ascii "Success\12\0"
.text
	.align 2
.globl _bdfReadFont
_bdfReadFont:
	pushl %ebp
	movl %esp,%ebp
	subl $1120,%esp
	pushl %esi
	pushl %ebx
	cmpl $0,12(%ebp)
	jne L224
	pushl $LC114
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L224:
	pushl $LC115
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 8(%ebp),%eax
	movl $0,120(%eax)
	pushl $1092
	pushl $0
	leal -1092(%ebp),%eax
	pushl %eax
	call _memset
	addl $12,%esp
	pushl $LC116
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl 12(%ebp)
	leal 12(%ebp),%eax
	pushl %eax
	pushl $LC117
	pushl $__iob+40
	call _fprintf
	addl $16,%esp
	cmpl $0,12(%ebp)
	jne L225
	pushl $LC118
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L225:
	leal -1092(%ebp),%eax
	pushl %eax
	pushl 12(%ebp)
	call _bdfReadHeader
	addl $8,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L226
	jmp L227
	.align 2,0x90
L226:
	pushl 12(%ebp)
	leal 12(%ebp),%eax
	pushl %eax
	pushl $LC119
	pushl $__iob+40
	call _fprintf
	addl $16,%esp
	cmpl $0,12(%ebp)
	jne L228
	pushl $LC120
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L228:
	pushl $36
	call _Xalloc
	addl $4,%esp
	movl %eax,-1104(%ebp)
	cmpl $0,-1104(%ebp)
	jne L229
	jmp L227
	.align 2,0x90
L229:
	movl 8(%ebp),%eax
	movl -1104(%ebp),%ebx
	movl %ebx,120(%eax)
	movl -1104(%ebp),%eax
	movl $0,12(%eax)
	movl -1104(%ebp),%eax
	movl $0,16(%eax)
	movl -1104(%ebp),%eax
	movl $0,20(%eax)
	movl -1104(%ebp),%eax
	movl $0,24(%eax)
	movl -1104(%ebp),%eax
	movl $0,28(%eax)
	pushl $104
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl -1104(%ebp),%edx
	movl %eax,32(%edx)
	pushl $LC121
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl 12(%ebp)
	leal 12(%ebp),%eax
	pushl %eax
	pushl $LC122
	pushl $__iob+40
	call _fprintf
	addl $16,%esp
	cmpl $0,12(%ebp)
	jne L230
	pushl $LC123
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
L230:
	leal -1092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	pushl 12(%ebp)
	call _bdfReadProperties
	addl $12,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L231
	jmp L227
	.align 2,0x90
L231:
	pushl $LC124
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl 28(%ebp)
	pushl 24(%ebp)
	pushl 20(%ebp)
	pushl 16(%ebp)
	leal -1092(%ebp),%eax
	pushl %eax
	pushl 8(%ebp)
	pushl 12(%ebp)
	call _bdfReadCharacters
	addl $28,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L232
	jmp L227
	.align 2,0x90
L232:
	cmpb $0,-2(%ebp)
	je L233
	movl 8(%ebp),%eax
	movw 12(%eax),%dx
	shrw $8,%dx
	movzwl %dx,%ebx
	movl %ebx,-1108(%ebp)
	movl 8(%ebp),%eax
	movw 12(%eax),%dx
	movb $0,%dh
	movzwl %dx,%ebx
	movl %ebx,-1112(%ebp)
	movl 8(%ebp),%eax
	movzwl 8(%eax),%edx
	cmpl %edx,-1108(%ebp)
	jl L233
	movl 8(%ebp),%eax
	movzwl 10(%eax),%edx
	cmpl %edx,-1108(%ebp)
	jg L233
	movl 8(%ebp),%eax
	movzwl 4(%eax),%edx
	cmpl %edx,-1112(%ebp)
	jl L233
	movl 8(%ebp),%eax
	movzwl 6(%eax),%edx
	cmpl %edx,-1112(%ebp)
	jg L233
	movl 8(%ebp),%edx
	movzwl 6(%edx),%eax
	movl 8(%ebp),%edx
	movzwl 4(%edx),%ecx
	subl %ecx,%eax
	movl %eax,%ebx
	incl %ebx
	movl %ebx,-1116(%ebp)
	movl 8(%ebp),%eax
	movzwl 8(%eax),%edx
	subl %edx,-1108(%ebp)
	movl 8(%ebp),%eax
	movzwl 4(%eax),%edx
	subl %edx,-1112(%ebp)
	movl -1104(%ebp),%eax
	movl -1104(%ebp),%edx
	movl -1108(%ebp),%ecx
	imull -1116(%ebp),%ecx
	movl %ecx,%ebx
	addl -1112(%ebp),%ebx
	movl %ebx,-1120(%ebp)
	leal 0(,%ebx,4),%ecx
	movl 24(%edx),%edx
	movl (%ecx,%edx),%ebx
	movl %ebx,28(%eax)
L234:
L233:
	movl 8(%ebp),%eax
	movb 16(%ebp),%bl
	movb %bl,84(%eax)
	movl 8(%ebp),%eax
	movb 20(%ebp),%bl
	movb %bl,85(%eax)
	movl 8(%ebp),%eax
	movb 24(%ebp),%bl
	movb %bl,86(%eax)
	movl 8(%ebp),%eax
	movb 28(%ebp),%bl
	movb %bl,87(%eax)
	movl 8(%ebp),%eax
	andb $-5,15(%eax)
	pushl $LC125
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl 8(%ebp)
	call _bitmapComputeFontBounds
	addl $4,%esp
	movl 8(%ebp),%eax
	addl $4,%eax
	pushl %eax
	call _FontCouldBeTerminal
	addl $4,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L235
	pushl 8(%ebp)
	call _bdfPadToTerminal
	addl $4,%esp
	pushl 8(%ebp)
	call _bitmapComputeFontBounds
	addl $4,%esp
L235:
	pushl $LC126
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl 8(%ebp),%eax
	addl $4,%eax
	pushl %eax
	call _FontComputeInfoAccelerators
	addl $4,%esp
	movl -1104(%ebp),%eax
	cmpl $0,32(%eax)
	je L236
	movl -1104(%ebp),%eax
	movl 32(%eax),%edx
	addl $24,%edx
	pushl %edx
	call _FontComputeInfoAccelerators
	addl $4,%esp
L236:
	movl 8(%ebp),%eax
	movb 14(%eax),%dl
	andb $4,%dl
	testb %dl,%dl
	je L237
	pushl 8(%ebp)
	call _bitmapAddInkMetrics
	addl $4,%esp
L237:
	movl -1104(%ebp),%eax
	cmpl $0,32(%eax)
	je L238
	movl -1104(%ebp),%edx
	movl 32(%edx),%eax
	movl 8(%ebp),%edx
	movb 14(%edx),%cl
	shrb $5,%cl
	movzbl %cl,%edx
	movl %edx,%ecx
	andl $1,%ecx
	movb %cl,%dl
	andb $1,%dl
	movb %dl,%cl
	salb $5,%cl
	andb $-33,34(%eax)
	orb %cl,34(%eax)
L238:
	pushl $LC127
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	pushl 8(%ebp)
	call _bitmapComputeFontInkBounds
	addl $4,%esp
	movl 8(%ebp),%ebx
	addl $56,%ebx
	movl %ebx,-1096(%ebp)
	movl 8(%ebp),%ebx
	addl $44,%ebx
	movl %ebx,-1100(%ebp)
	cmpl $0,-16(%ebp)
	je L239
	movl -16(%ebp),%eax
	cmpl $-1,4(%eax)
	jne L239
	movl -16(%ebp),%eax
	movl -40(%ebp),%edx
	cmpl $0,-40(%ebp)
	jne L240
	movl -1096(%ebp),%ecx
	movswl 6(%ecx),%edx
L240:
	movl %edx,4(%eax)
L239:
	cmpl $0,-8(%ebp)
	je L241
	movl -8(%ebp),%eax
	cmpl $-1,4(%eax)
	jne L241
	movl -8(%ebp),%ebx
	movl %ebx,-1120(%ebp)
	cmpl $0,-48(%ebp)
	je L242
	pushl -44(%ebp)
	call ___floatsisf
	addl $4,%esp
	subl $4,%esp
	fstps (%esp)
	popl %esi
	pushl -48(%ebp)
	call ___floatsisf
	addl $4,%esp
	subl $4,%esp
	fstps (%esp)
	pushl %esi
	call ___divsf3
	addl $8,%esp
	subl $4,%esp
	fstps (%esp)
	call ___fixsfsi
	addl $4,%esp
	movl %eax,%eax
	movl %eax,%eax
	jmp L243
	.align 2,0x90
L242:
	movl -1096(%ebp),%edx
	movswl 4(%edx),%eax
	movl -1100(%ebp),%edx
	movswl 4(%edx),%ecx
	addl %ecx,%eax
	testl %eax,%eax
	jge L244
	incl %eax
L244:
	sarl $1,%eax
L243:
	movl -1120(%ebp),%ebx
	movl %eax,4(%ebx)
L241:
	cmpl $0,-12(%ebp)
	je L245
	movl -12(%ebp),%eax
	cmpl $-1,4(%eax)
	jne L245
	pushl 8(%ebp)
	call _bitmapComputeWeight
	addl $4,%esp
	movl %eax,%eax
	movl -12(%ebp),%edx
	movl %eax,4(%edx)
L245:
	movl 8(%ebp),%eax
	movl $_bitmapGetBitmaps,100(%eax)
	movl 8(%ebp),%eax
	movl $_bitmapGetExtents,104(%eax)
	movl 8(%ebp),%eax
	movl $_bitmapGetGlyphs,92(%eax)
	movl 8(%ebp),%eax
	movl $_bitmapGetMetrics,96(%eax)
	movl 8(%ebp),%eax
	movl $_bdfUnloadFont,108(%eax)
	pushl $LC128
	pushl $__iob+40
	call _fprintf
	addl $8,%esp
	movl $85,%eax
	jmp L223
	.align 2,0x90
L227:
	movl 8(%ebp),%eax
	cmpl $0,120(%eax)
	je L246
	pushl 8(%ebp)
	call _bdfFreeFontBits
	addl $4,%esp
L246:
	movl $80,%eax
	jmp L223
	.align 2,0x90
L223:
	leal -1128(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
	.align 2
.globl _bdfFreeFontBits
_bdfFreeFontBits:
	pushl %ebp
	movl %esp,%ebp
	subl $8,%esp
	pushl %ebx
	movl 8(%ebp),%eax
	movl 120(%eax),%ebx
	movl %ebx,-4(%ebp)
	movl -4(%ebp),%eax
	pushl 16(%eax)
	call _Xfree
	addl $4,%esp
	movl -4(%ebp),%eax
	pushl 24(%eax)
	call _Xfree
	addl $4,%esp
	movl $0,-8(%ebp)
L248:
	movl -4(%ebp),%eax
	movl 4(%eax),%ebx
	cmpl %ebx,-8(%ebp)
	jge L249
	movl -4(%ebp),%eax
	movl -8(%ebp),%edx
	imull $16,%edx,%ecx
	movl 12(%eax),%eax
	pushl 12(%ecx,%eax)
	call _Xfree
	addl $4,%esp
L250:
	incl -8(%ebp)
	jmp L248
	.align 2,0x90
L249:
	movl -4(%ebp),%eax
	pushl 12(%eax)
	call _Xfree
	addl $4,%esp
	movl 8(%ebp),%eax
	pushl 76(%eax)
	call _Xfree
	addl $4,%esp
	pushl -4(%ebp)
	call _Xfree
	addl $4,%esp
L247:
	movl -12(%ebp),%ebx
	leave
	ret
	.align 2
.globl _bdfReadFontInfo
_bdfReadFontInfo:
	pushl %ebp
	movl %esp,%ebp
	subl $140,%esp
	pushl %edi
	pushl %esi
	pushl $1
	pushl $1
	pushl $0
	pushl $1
	pushl 12(%ebp)
	leal -136(%ebp),%eax
	pushl %eax
	call _bdfReadFont
	addl $24,%esp
	movl %eax,-140(%ebp)
	cmpl $85,-140(%ebp)
	jne L252
	movl 8(%ebp),%eax
	movl %eax,%edi
	leal -132(%ebp),%esi
	movl $20,%ecx
	rep
	movsl
	movl $0,-60(%ebp)
	movl $0,-56(%ebp)
	movl $0,-64(%ebp)
	leal -136(%ebp),%eax
	pushl %eax
	call _bdfFreeFontBits
	addl $4,%esp
L252:
	movl -140(%ebp),%eax
	jmp L251
	.align 2,0x90
L251:
	leal -148(%ebp),%esp
	popl %esi
	popl %edi
	leave
	ret
	.align 2
.globl _bdfUnloadFont
_bdfUnloadFont:
	pushl %ebp
	movl %esp,%ebp
	pushl 8(%ebp)
	call _bdfFreeFontBits
	addl $4,%esp
	pushl 8(%ebp)
	call _Xfree
	addl $4,%esp
L253:
	leave
	ret
	.align 2
_bdfPadToTerminal:
	pushl %ebp
	movl %esp,%ebp
	subl $76,%esp
	pushl %edi
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%eax
	movl 120(%eax),%ebx
	movl %ebx,-4(%ebp)
	movl 8(%ebp),%eax
	movw 68(%eax),%cx
	movw %cx,-26(%ebp)
	movl 8(%ebp),%eax
	movw 70(%eax),%bx
	movw %bx,-24(%ebp)
	movw $0,-32(%ebp)
	movl 8(%ebp),%eax
	movw 36(%eax),%cx
	movw %cx,-30(%ebp)
	movw %cx,-28(%ebp)
	movswl -26(%ebp),%ebx
	movl %ebx,-76(%ebp)
	movswl -24(%ebp),%eax
	addl %eax,-76(%ebp)
	movl 8(%ebp),%eax
	cmpb $1,86(%eax)
	jne L255
	movswl -30(%ebp),%eax
	movswl -32(%ebp),%edx
	subl %edx,%eax
	leal 7(%eax),%edx
	movl %edx,%ecx
	sarl $3,%ecx
	movl %ecx,-72(%ebp)
	movl -76(%ebp),%eax
	imull -72(%ebp),%eax
	jmp L256
	.align 2,0x90
L255:
	movl 8(%ebp),%edx
	cmpb $2,86(%edx)
	jne L257
	movswl -30(%ebp),%edx
	movswl -32(%ebp),%ebx
	movl %ebx,-72(%ebp)
	subl -72(%ebp),%edx
	leal 15(%edx),%ecx
	movl %ecx,-72(%ebp)
	movl %ecx,%edx
	sarl $3,%edx
	movl %edx,%ebx
	andb $254,%bl
	movl %ebx,-72(%ebp)
	movl -76(%ebp),%eax
	imull -72(%ebp),%eax
	jmp L256
	.align 2,0x90
L257:
	movl 8(%ebp),%edx
	cmpb $4,86(%edx)
	jne L259
	movswl -30(%ebp),%edx
	movswl -32(%ebp),%ecx
	movl %ecx,-72(%ebp)
	subl -72(%ebp),%edx
	leal 31(%edx),%ebx
	movl %ebx,-72(%ebp)
	movl %ebx,%edx
	sarl $3,%edx
	movl %edx,%ecx
	andb $252,%cl
	movl %ecx,-72(%ebp)
	movl -76(%ebp),%eax
	imull -72(%ebp),%eax
	jmp L256
	.align 2,0x90
L259:
	movl 8(%ebp),%edx
	cmpb $8,86(%edx)
	jne L261
	movswl -30(%ebp),%edx
	movswl -32(%ebp),%ebx
	movl %ebx,-72(%ebp)
	subl -72(%ebp),%edx
	leal 63(%edx),%ecx
	movl %ecx,-72(%ebp)
	movl %ecx,%edx
	sarl $3,%edx
	movl %edx,%ebx
	andb $248,%bl
	movl %ebx,-72(%ebp)
	movl -76(%ebp),%eax
	imull -72(%ebp),%eax
	jmp L256
	.align 2,0x90
L261:
	xorl %eax,%eax
L262:
L260:
L258:
L256:
	movl %eax,-16(%ebp)
	movl $0,-12(%ebp)
L263:
	movl -4(%ebp),%eax
	movl 4(%eax),%ecx
	cmpl %ecx,-12(%ebp)
	jge L264
	pushl -16(%ebp)
	call _Xalloc
	addl $4,%esp
	movl %eax,%eax
	movl %eax,-20(%ebp)
	cmpl $0,-20(%ebp)
	jne L266
	xorl %eax,%eax
	jmp L254
	.align 2,0x90
L266:
	leal -32(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	imull $16,-12(%ebp),%edx
	movl %edx,%ebx
	addl 12(%eax),%ebx
	movl %ebx,%eax
	pushl %eax
	pushl 8(%ebp)
	call _FontCharReshape
	addl $12,%esp
	movl -4(%ebp),%eax
	movl -12(%ebp),%edx
	imull $16,%edx,%ecx
	movl %ecx,-72(%ebp)
	movl 12(%eax),%eax
	pushl 12(%ecx,%eax)
	call _Xfree
	addl $4,%esp
	movl -4(%ebp),%eax
	movl -12(%ebp),%ebx
	movl %ebx,-72(%ebp)
	imull $16,-72(%ebp),%edx
	movl 12(%eax),%eax
	movl -32(%ebp),%ecx
	movl -28(%ebp),%ebx
	movl %ecx,(%edx,%eax)
	movl %ebx,4(%edx,%eax)
	movl -24(%ebp),%ecx
	movl -20(%ebp),%ebx
	movl %ecx,8(%edx,%eax)
	movl %ebx,12(%edx,%eax)
L265:
	incl -12(%ebp)
	jmp L263
	.align 2,0x90
L264:
	movl -4(%ebp),%eax
	movl 32(%eax),%ebx
	movl %ebx,-8(%ebp)
	cmpl $0,-8(%ebp)
	je L267
	movswl -30(%ebp),%eax
	movswl -32(%ebp),%edx
	movl %eax,%ecx
	subl %edx,%ecx
	movl %ecx,-36(%ebp)
	movswl -26(%ebp),%eax
	movswl -24(%ebp),%edx
	movl %eax,%ebx
	addl %edx,%ebx
	movl %ebx,-40(%ebp)
	movl $0,-12(%ebp)
L268:
	cmpl $3,-12(%ebp)
	jg L267
	movl -8(%ebp),%eax
	movl -12(%ebp),%edx
	movl -4(%ebp),%ecx
	movl %ecx,-72(%ebp)
	movl 4(%ecx),%esi
	movl $1,%ebx
	movl %edx,%ecx
	sall %cl,%ebx
	movl %ebx,-72(%ebp)
	cmpl $1,-72(%ebp)
	jne L271
	movl -36(%ebp),%ecx
	addl $7,%ecx
	movl %ecx,-72(%ebp)
	movl %ecx,%edi
	sarl $3,%edi
	movl %edi,%ebx
	imull -40(%ebp),%ebx
	movl %ebx,-44(%ebp)
	movl %esi,%ecx
	imull -44(%ebp),%ecx
	movl %ecx,-72(%ebp)
	jmp L272
	.align 2,0x90
L271:
	movl $1,%edi
	movl -12(%ebp),%ecx
	sall %cl,%edi
	cmpl $2,%edi
	jne L273
	movl -36(%ebp),%edi
	addl $15,%edi
	movl %edi,%ebx
	sarl $3,%ebx
	movl %ebx,-48(%ebp)
	movl %ebx,%edi
	andl $-2,%edi
	movl %edi,%ecx
	imull -40(%ebp),%ecx
	movl %ecx,-52(%ebp)
	movl %esi,%ebx
	imull -52(%ebp),%ebx
	movl %ebx,-72(%ebp)
	jmp L272
	.align 2,0x90
L273:
	movl $1,%edi
	movl -12(%ebp),%ecx
	sall %cl,%edi
	cmpl $4,%edi
	jne L275
	movl -36(%ebp),%edi
	addl $31,%edi
	movl %edi,%ebx
	sarl $3,%ebx
	movl %ebx,-56(%ebp)
	movl %ebx,%edi
	andl $-4,%edi
	movl %edi,%ecx
	imull -40(%ebp),%ecx
	movl %ecx,-60(%ebp)
	movl %esi,%ebx
	imull -60(%ebp),%ebx
	movl %ebx,-72(%ebp)
	jmp L272
	.align 2,0x90
L275:
	movl $1,%edi
	movl -12(%ebp),%ecx
	sall %cl,%edi
	cmpl $8,%edi
	jne L277
	movl -36(%ebp),%edi
	addl $63,%edi
	movl %edi,%ebx
	sarl $3,%ebx
	movl %ebx,-64(%ebp)
	movl %ebx,%edi
	andl $-8,%edi
	movl %edi,%ecx
	imull -40(%ebp),%ecx
	movl %ecx,-68(%ebp)
	movl %esi,%ebx
	imull -68(%ebp),%ebx
	movl %ebx,-72(%ebp)
	jmp L272
	.align 2,0x90
L277:
	movl $0,-72(%ebp)
L278:
L276:
L274:
L272:
	movl -72(%ebp),%ecx
	movl %ecx,8(%eax,%edx,4)
L270:
	incl -12(%ebp)
	jmp L268
	.align 2,0x90
L269:
L267:
	movl $1,%eax
	jmp L254
	.align 2,0x90
L254:
	leal -88(%ebp),%esp
	popl %ebx
	popl %esi
	popl %edi
	leave
	ret
